export declare class Placeholders {
    /**
     * @param {string} str
     * @param {any[]} placeholders
     * @param emptyPlaceholder
     * @returns {string}
     */
    static replace(str: string, placeholders: any[], emptyPlaceholder?: any): string;
    /**
     * @param {string} str
     * @param placeholders
     * @param emptyPlaceholder
     * @returns {string}
     */
    static replaceNamed(str: string, placeholders: {
        [key: string]: any;
    }, emptyPlaceholder?: any): string;
    /**
     * @param placeholder_value
     * @param {number} [trim_after=0]
     * @returns {string}
     */
    static preparePlaceholderValue(placeholder_value: any, trim_after?: number): string;
}
